org.apache.flume

## Interface Event

- All Known Implementing Classes:
    JSONEvent, PersistableEvent, SimpleEvent

      public interface Event

  Basic representation of a data object in Flume. Provides access to data as it flows through the system.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBody()` Returns the raw byte array of the data contained in this event.
    `Map<String,String>` | `getHeaders()` Returns a map of name-value pairs describing the data stored in the body.
    `void` | `setBody(byte[] body)` Sets the raw byte array of the data contained in this event.
    `void` | `setHeaders(Map<String,String> headers)` Set the event headers

- - ### Method Detail

    - #### getHeaders

          Map<String,String> getHeaders()

      Returns a map of name-value pairs describing the data stored in the body.

    - #### setHeaders

          void setHeaders(Map<String,String> headers)

      Set the event headers
      Parameters:
        `headers` - Map of headers to replace the current headers.

    - #### getBody

          byte[] getBody()

      Returns the raw byte array of the data contained in this event.

    - #### setBody

          void setBody(byte[] body)

      Sets the raw byte array of the data contained in this event.
      Parameters:
        `body` - The data.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.